=== debian/changelog ===
tint2 (0.12.7-2) unstable; urgency=medium

  * Add upstream patch to fix build on ppc
  * Use https:// vcs urls

 -- Sebastian Reichel <sre@debian.org>  Mon, 22 Feb 2016 03:23:51 +0100

tint2 (0.12.7-1) unstable; urgency=medium

  * New upstream release
  * Update Debian Standards Version to 3.9.7
  * Drop -dbg package (Debian will build -dbgsym package automatically)

 -- Sebastian Reichel <sre@debian.org>  Wed, 10 Feb 2016 00:42:23 +0100
