=== themes/CMakeLists.txt ===
file( GLOB EXTRATHEMEFILES *.tint2rc )
install( FILES ${EXTRATHEMEFILES} DESTINATION ${DATADIR}/tint2 )
