=== debian/changelog ===
tint2 (0.12.12-1mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Elstad (v3g4n) <v3g4n@mxlinux.org>  Sun, 23 Oct 2016 00:34:37 -0500

tint2 (0.12.12-1) unstable; urgency=low

  * New upstream release

 -- Sebastian Reichel <sre@debian.org>  Sun, 21 Aug 2016 22:39:16 +0200
