=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: tint2
 Section: x11
 Priority: optional
-Maintainer: Sebastian Reichel <sre@debian.org>
+Maintainer: Mike Elstad (v3g4n) <v3g4n@mxlinux.org>
+XSBC-Original-Maintainer: Sebastian Reichel <sre@debian.org>
+Bugs: mailto: v3g4n@mxlinux.org
 Build-Depends: cmake,
                debhelper (>= 9),
                libcairo2-dev,
@@ -15,7 +17,7 @@
                libxdamage-dev,
                libxinerama-dev,
                libxrandr-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/tint2.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/tint2.git
 Homepage: https://gitlab.com/o9000/tint2/
