## tint2 15.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,26 @@
 project( tint2 )
-cmake_minimum_required( VERSION 2.6 )
+cmake_minimum_required( VERSION 2.8.5 )
 
 option( ENABLE_BATTERY "Enable battery status plugin" ON )
 option( ENABLE_TINT2CONF "Enable tint2conf build, a GTK+2 theme configurator for tint2" ON )
 option( ENABLE_EXTRA_THEMES "Install additional tint2 themes" ON )
 option( ENABLE_RSVG "Rsvg support (launcher only)" ON )
 option( ENABLE_SN "Startup notification support" ON )
+option( ENABLE_TRACING "Build tint2 with tracing instrumentation" OFF )
 option( ENABLE_ASAN "Build tint2 with AddressSanitizer" OFF )
 option( ENABLE_BACKTRACE "Dump a backtrace in case of fatal errors (e.g. X11 I/O error)" OFF )
 option( ENABLE_BACKTRACE_ON_SIGNAL "Dump a backtrace also when receiving signals such as SIGSEGV" OFF )
 if( CMAKE_SYSTEM_NAME STREQUAL "Linux" )
   option( ENABLE_UEVENT "Kernel event handling support" ON )
 endif( CMAKE_SYSTEM_NAME STREQUAL "Linux" )
+
+include( GNUInstallDirs )
+if(NOT docdir)
+  set(docdir ${CMAKE_INSTALL_DOCDIR})
+endif()
+if(NOT htmldir)
+  set(htmldir ${docdir}/html)
+endif()
 
 include( FindPkgConfig )
 include( CheckLibraryExists )
@@ -74,7 +83,13 @@
   message( FATAL_ERROR "Imlib is not built with X support" )
 endif( NOT IMLIB_BUILD_WITH_X )
 
-add_definitions( -D_GNU_SOURCE )
+
+add_definitions( -D_BSD_SOURCE -D_DEFAULT_SOURCE -D_WITH_GETLINE )
+
+if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
+  add_definitions( -D_POSIX_C_SOURCE=200809L )
+endif(CMAKE_SYSTEM_NAME STREQUAL "Linux")
+
 
 include_directories( ${PROJECT_BINARY_DIR}
                      src
@@ -86,7 +101,9 @@
                      src/tooltip
                      src/util
                      src/execplugin
+                     src/button
                      src/freespace
+                     src/separator
                      ${X11_INCLUDE_DIRS}
                      ${PANGOCAIRO_INCLUDE_DIRS}
                      ${PANGO_INCLUDE_DIRS}
@@ -100,7 +117,12 @@
 set( SOURCES src/config.c
              src/panel.c
              src/server.c
-             src/tint.c
+             src/main.c
+             src/init.c
+             src/signals.c
+             src/tracing.c
+             src/mouse_actions.c
+             src/drag_and_drop.c
              src/clock/clock.c
              src/systray/systraybar.c
              src/launcher/launcher.c
@@ -113,12 +135,19 @@
              src/taskbar/taskbarname.c
              src/tooltip/tooltip.c
              src/execplugin/execplugin.c
+             src/button/button.c
              src/freespace/freespace.c
+             src/separator/separator.c
+             src/tint2rc.c
              src/util/area.c
              src/util/common.c
+             src/util/fps_distribution.c
              src/util/strnatcmp.c
              src/util/timer.c
              src/util/cache.c
+             src/util/color.c
+             src/util/gradient.c
+             src/util/uevent.c
              src/util/window.c )
 
 if( ENABLE_BATTERY )
@@ -189,19 +218,23 @@
 endif( ENABLE_TINT2CONF )
 
 if( ENABLE_ASAN )
-  SET(ASAN_C_FLAGS " -O0 -g3 -gdwarf-2 -fsanitize=address -fno-common -fno-omit-frame-pointer -rdynamic -Wshadow")
-  SET(ASAN_L_FLAGS " -O0 -g3 -gdwarf-2 -fsanitize=address -fno-common -fno-omit-frame-pointer -rdynamic ")
+  SET(ASAN_C_FLAGS " -O0 -g3 -fsanitize=address -fno-common -fno-omit-frame-pointer -rdynamic -Wshadow")
+  SET(ASAN_L_FLAGS " -O0 -g3 -fsanitize=address -fno-common -fno-omit-frame-pointer -rdynamic -fuse-ld=gold ")
 else()
   SET(ASAN_C_FLAGS "")
   SET(ASAN_L_FLAGS "")
 endif()
 
-set( MANDIR share/man CACHE PATH "Directory for man pages" )
-set( DATADIR share CACHE PATH "Directory for shared data" )
-set( SYSCONFDIR /etc CACHE PATH "Directory for configuration files" )
-set( DOCDIR share/doc/tint2 CACHE PATH "Directory for documentation files" )
-
-add_custom_target( version ALL "${PROJECT_SOURCE_DIR}/get_version.sh" "\"${PROJECT_SOURCE_DIR}\"" )
+if( ENABLE_TRACING )
+  add_definitions( -DHAVE_TRACING )
+  SET(TRACING_C_FLAGS " -finstrument-functions -finstrument-functions-exclude-file-list=tracing.c -finstrument-functions-exclude-function-list=get_time,gettime -O0 -g3 -fno-common -fno-omit-frame-pointer -rdynamic")
+  SET(TRACING_L_FLAGS " -O0 -g3 -fno-common -fno-omit-frame-pointer -rdynamic")
+else()
+  SET(TRACING_C_FLAGS "")
+  SET(TRACING_L_FLAGS "")
+endif()
+
+add_custom_target( version ALL "${PROJECT_SOURCE_DIR}/get_version.sh" -- "\"${PROJECT_SOURCE_DIR}/\"" )
 
 link_directories( ${X11_LIBRARY_DIRS}
                   ${PANGOCAIRO_LIBRARY_DIRS}
@@ -235,18 +268,18 @@
 target_link_libraries( tint2 m )
 
 add_dependencies( tint2 version )
-set_target_properties( tint2 PROPERTIES COMPILE_FLAGS "-Wall -Wpointer-arith -fno-strict-aliasing -pthread -std=c99 ${ASAN_C_FLAGS}" )
-set_target_properties( tint2 PROPERTIES LINK_FLAGS "-pthread -fno-strict-aliasing ${ASAN_L_FLAGS} ${BACKTRACE_L_FLAGS}" )
+set_target_properties( tint2 PROPERTIES COMPILE_FLAGS "-Wall -Wpointer-arith -fno-strict-aliasing -pthread -std=c99 ${ASAN_C_FLAGS} ${TRACING_C_FLAGS}" )
+set_target_properties( tint2 PROPERTIES LINK_FLAGS "-pthread -fno-strict-aliasing ${ASAN_L_FLAGS} ${BACKTRACE_L_FLAGS}  ${TRACING_L_FLAGS}" )
 
 install( TARGETS tint2 DESTINATION bin )
-install( FILES tint2.svg DESTINATION ${DATADIR}/icons/hicolor/scalable/apps )
-install( FILES tint2.desktop DESTINATION ${DATADIR}/applications )
-install( CODE "execute_process(COMMAND gtk-update-icon-cache -f -t ${DATADIR}/icons/hicolor WORKING_DIRECTORY ${CMAKE_INSTALL_PREFIX})" )
-install( FILES themes/tint2rc DESTINATION ${SYSCONFDIR}/xdg/tint2 )
-install( FILES default_icon.png DESTINATION ${DATADIR}/tint2 )
-install( FILES AUTHORS ChangeLog README.md doc/tint2.md doc/manual.html doc/readme.html DESTINATION ${DOCDIR} )
-install( DIRECTORY doc/images DESTINATION ${DOCDIR} )
-install( FILES doc/tint2.1 DESTINATION ${MANDIR}/man1 )
+install( FILES tint2.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps )
+install( FILES tint2.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications )
+install( FILES themes/tint2rc DESTINATION /etc/xdg/tint2 )
+install( FILES default_icon.png DESTINATION ${CMAKE_INSTALL_DATADIR}/tint2 )
+install( FILES AUTHORS ChangeLog README.md doc/tint2.md DESTINATION ${docdir} )
+install( FILES doc/manual.html doc/readme.html DESTINATION ${htmldir} )
+install( DIRECTORY doc/images DESTINATION ${htmldir} )
+install( FILES doc/tint2.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1 )
 if( ENABLE_EXTRA_THEMES )
   add_subdirectory(themes)
 endif( ENABLE_EXTRA_THEMES )
