=== debian/changelog ===
tint2 (15.1-1) unstable; urgency=medium

  * New upstream bugfix
   - Previous patch dropped (applied upstream)

 -- Sebastian Reichel <sre@debian.org>  Fri, 08 Sep 2017 22:34:31 +0200

tint2 (15.0-2) unstable; urgency=medium

  * Add patch to be compliant with POSIX.1-2001 and POSIX.1-2008 to
    fix FTBFS on non x86 platforms.

 -- Sebastian Reichel <sre@debian.org>  Thu, 07 Sep 2017 02:37:53 +0200

tint2 (15.0-1) unstable; urgency=medium

  * New upstream release
  * Updated watch file for gitlab changes
  * Update Debian Standards Version to 4.1.0
  * Enable full hardening

 -- Sebastian Reichel <sre@debian.org>  Sun, 03 Sep 2017 03:25:33 +0200

tint2 (0.14.3-1) experimental; urgency=medium

  * New upstream release (Closes: #861007)
   - Drop wiki Documentation
   - Drop patches (applied upstream)

 -- Sebastian Reichel <sre@debian.org>  Sun, 23 Apr 2017 21:46:51 +0200

tint2 (0.12.12-3) unstable; urgency=medium

  * Cherry pick upstream fix for use-after-free

 -- Sebastian Reichel <sre@debian.org>  Sun, 29 Jan 2017 21:18:20 +0100

tint2 (0.12.12-2) unstable; urgency=medium

  * Cherry pick a few upstream fixes (Closes: #849228)

 -- Sebastian Reichel <sre@debian.org>  Fri, 13 Jan 2017 22:01:29 +0100
