## tint2 15.3

=== debian/changelog ===
tint2 (15.3-2) unstable; urgency=medium

  * New upstream release

 -- Sebastian Reichel <sre@debian.org>  Sun, 05 Nov 2017 17:13:55 +0100
