=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: tint2
 Section: x11
 Priority: optional
-Maintainer: Mike Elstad (v3g4n) <v3g4n@mxlinux.org>
-XSBC-Original-Maintainer: Sebastian Reichel <sre@debian.org>
-Bugs: mailto: v3g4n@mxlinux.org
+Maintainer: Sebastian Reichel <sre@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 9),
+               debhelper (>= 10~),
                libcairo2-dev,
                libglib2.0-dev,
                libgtk2.0-dev,
@@ -17,7 +15,7 @@
                libxdamage-dev,
                libxinerama-dev,
                libxrandr-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/tint2.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/tint2.git
 Homepage: https://gitlab.com/o9000/tint2/
