=== debian/changelog ===
tint2 (16.2-1) unstable; urgency=medium

  * New upstream release
  * Switch packaging to salsa
  * Update Debian Standards Version to 4.1.3

 -- Sebastian Reichel <sre@debian.org>  Mon, 12 Feb 2018 20:47:00 +0100
