=== debian/control ===
--- 
+++ 
@@ -15,9 +15,9 @@
                libxdamage-dev,
                libxinerama-dev,
                libxrandr-dev
-Standards-Version: 4.1.0
-Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/tint2.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/tint2.git
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/debian/tint2.git
+Vcs-Browser: https://salsa.debian.org/debian/tint2
 Homepage: https://gitlab.com/o9000/tint2/
 
 Package: tint2
