## tint2 16.6.1

=== debian/changelog ===
tint2 (16.6.1-1) unstable; urgency=medium

  * Update watch file
  * Update Debian Standards Version to 4.1.5
  * Bump Debian compat version to 11

 -- Sebastian Reichel <sre@debian.org>  Thu, 09 Aug 2018 00:14:16 +0200
