=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sebastian Reichel <sre@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 10~),
+               debhelper (>= 11~),
                libcairo2-dev,
                libglib2.0-dev,
                libgtk2.0-dev,
@@ -15,7 +15,7 @@
                libxdamage-dev,
                libxinerama-dev,
                libxrandr-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Vcs-Git: https://salsa.debian.org/debian/tint2.git
 Vcs-Browser: https://salsa.debian.org/debian/tint2
 Homepage: https://gitlab.com/o9000/tint2/
