## tint2 16.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -152,6 +152,7 @@
              src/separator/separator.c
              src/tint2rc.c
              src/util/area.c
+             src/util/bt.c
              src/util/common.c
              src/util/fps_distribution.c
              src/util/strnatcmp.c
