=== debian/changelog ===
tint2 (16.7-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 14 Nov 2020 09:25:57 -0800

tint2 (16.7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Sebastian Reichel ]
  * New upstream release
  * Bump Debian compat version to 12
  * Update Debian Standards Version to 4.4.0

 -- Sebastian Reichel <sre@debian.org>  Sun, 15 Sep 2019 01:16:43 +0200
