=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: tint2
 Section: x11
 Priority: optional
-Maintainer: Sebastian Reichel <sre@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Sebastian Reichel <sre@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 11~),
+               debhelper (>= 12~),
                libcairo2-dev,
                libglib2.0-dev,
                libgtk2.0-dev,
@@ -15,15 +16,14 @@
                libxdamage-dev,
                libxinerama-dev,
                libxrandr-dev
-Standards-Version: 4.1.5
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/debian/tint2.git
 Vcs-Browser: https://salsa.debian.org/debian/tint2
 Homepage: https://gitlab.com/o9000/tint2/
 
 Package: tint2
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: lightweight taskbar
  Tint is a simple panel/taskbar intentionally made for openbox3, but should
  also work with other window managers. The taskbar includes transparency and
@@ -33,4 +33,4 @@
  for a battery monitor and system tray.
  .
  The goal is to keep a clean and unintrusive look with lightweight code and
- compliance with freedesktop specification.
+ compliance with freedesktop's specifications.
