## tint2 17.0.1

=== themes/CMakeLists.txt ===
file( GLOB EXTRATHEMEFILES *.tint2rc )
install( FILES ${EXTRATHEMEFILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/tint2 )
