=== debian/changelog ===
tint2 (17.0.1-1) unstable; urgency=medium

  * New upstream release
  * tint2conf now uses GTK3 instead of GTK2 (Closes: #967778)
  * Update Debian Standards Version to 4.6.0
  * Switch to debhelper compat level 13
  * Add Rules-Requires-Root: no
  * Update debian/watch version

 -- Sebastian Reichel <sre@debian.org>  Tue, 24 Aug 2021 00:31:24 +0200
