=== debian/control ===
Source: tint2
Section: x11
Priority: optional
Maintainer: Sebastian Reichel <sre@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libcairo2-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libimlib2-dev,
               libpango1.0-dev,
               librsvg2-dev,
               libstartup-notification0-dev,
               libxcomposite-dev,
               libxdamage-dev,
               libxinerama-dev,
               libxrandr-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/tint2.git
Vcs-Browser: https://salsa.debian.org/debian/tint2
Homepage: https://gitlab.com/o9000/tint2/

Package: tint2
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: lightweight taskbar
 Tint is a simple panel/taskbar intentionally made for openbox3, but should
 also work with other window managers. The taskbar includes transparency and
 color settings for the font, icons, border, and background. It also supports
 multihead setups, customized mouse actions, and a built-in clock. Tint was
 originally based on ttm code. Since then, support has also been added
 for a battery monitor and system tray.
 .
 The goal is to keep a clean and unintrusive look with lightweight code and
 compliance with freedesktop specification.
