=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,3 @@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=$(CURDIR)/debian/tmp
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
